com.unitech.lib.uhf.params

## Class EPCMaskParam

- java.lang.Object
- - com.unitech.lib.uhf.params.EPCMaskParam

-     public class EPCMaskParam
      extends java.lang.Object

  The EPCMaskParam class stores information about the EPC Mask when the RFID UHF module sets or returns an EPC Mask.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPCMaskParam()` Creates an instance of the EPCMaskParam class.
    `EPCMaskParam(int offset, int length, java.lang.String pattern)` Creates an instance of the EPCMaskParam class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLength()` Returns the Length of the EPCMaskParam instance.
    `int` | `getOffset()` Returns the offset of the EPCMaskParam instance.
    `java.lang.String` | `getPattern()` Returns Pattern of the EPCMaskParam instance.
    `void` | `setLength(int length)` Sets the Length of the EPCMaskParam instance.
    `void` | `setOffset(int offset)` Sets the offset of the EPCMaskParam instance.
    `void` | `setPattern(java.lang.String pattern)` Sets the Pattern for the EPCMaskParam instance.
    `java.lang.String` | `toString()` Return the EPCMaskParam information with format: [Kill Password], [Access Password], [EPC], [Bank], [TID], [User]

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPCMaskParam

          public EPCMaskParam()

      Creates an instance of the EPCMaskParam class.

    - #### EPCMaskParam

          public EPCMaskParam(int offset,
                              int length,
                              java.lang.String pattern)

      Creates an instance of the EPCMaskParam class.
      Parameters:
        `offset` - An integer indicating the start address of the memory at which to start comparing the tag's EPC memory with the pattern value. The unit is bit.
        `length` - An integer representing the length of the memory to compare the tag's EPC memory with the pattern value. The unit is bit.
        `pattern` - A string of type Hex representing the comparison value to compare the EPC memory of the tag.

  - ### Method Detail

    - #### getOffset

          public int getOffset()

      Returns the offset of the EPCMaskParam instance.
      Returns:
        An integer indicating the start address of the memory at which to start comparing the tag's EPC memory with the pattern value. The unit is bit.

    - #### setOffset

          public void setOffset(int offset)

      Sets the offset of the EPCMaskParam instance.
      Parameters:
        `offset` - An integer indicating the start address of the memory at which to start comparing the tag's EPC memory with the pattern value. The unit is bit.

    - #### getPattern

          public java.lang.String getPattern()

      Returns Pattern of the EPCMaskParam instance.
      Returns:
        A string of type Hex representing the comparison value to compare the EPC memory of the tag.

    - #### setPattern

          public void setPattern(java.lang.String pattern)

      Sets the Pattern for the EPCMaskParam instance.
      Parameters:
        `pattern` - A string of type Hex representing the comparison value to compare the EPC memory of the tag.

    - #### getLength

          public int getLength()

      Returns the Length of the EPCMaskParam instance.
      Returns:
        An integer representing the length of the memory to compare the tag's EPC memory with the pattern value. The unit is bit.

    - #### setLength

          public void setLength(int length)

      Sets the Length of the EPCMaskParam instance.
      Parameters:
        `length` - An integer representing the length of the memory to compare the tag's EPC memory with the pattern value. The unit is bit.

    - #### toString

          public java.lang.String toString()

      Return the EPCMaskParam information with format: [Kill Password], [Access Password], [EPC], [Bank], [TID], [User]
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The EPCMaskParam information